Page MenuHomePhabricator

TimedMediaHandler is not compatible with PHP7.4
Closed, ResolvedPublic

Description

37) OggHandlerTest::testGetWebType with data set #2 ('broken-file.ogg', 'audio/ogg')
=== Logs generated by test case
[objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
[wfDebug] [debug] wfRecursiveRemoveDir( /tmp/MW_PHPUnit_OggHandlerTest_aAp6ZL ) {"private":false}
===
Trying to access array offset on value of type bool

/workspace/src/includes/filerepo/file/UnregisteredLocalFile.php:136
/workspace/src/extensions/TimedMediaHandler/includes/handlers/OggHandler/OggHandler.php:213
/workspace/src/extensions/TimedMediaHandler/tests/phpunit/OggHandlerTest.php:58
/workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
/workspace/src/maintenance/doMaintenance.php:99

38) SrtReaderTest::testSingleParse
Array and string offset access syntax with curly braces is deprecated

/workspace/src/extensions/TimedMediaHandler/includes/TimedText/SrtReader.php:79
/workspace/src/includes/AutoLoader.php:109
/workspace/src/includes/AutoLoader.php:109
/workspace/src/extensions/TimedMediaHandler/tests/phpunit/TimedText/SrtReaderTest.php:17
/workspace/src/maintenance/doMaintenance.php:99

39) SrtReaderTest::testMultiItems
Array and string offset access syntax with curly braces is deprecated

/workspace/src/extensions/TimedMediaHandler/includes/TimedText/SrtReader.php:79
/workspace/src/includes/AutoLoader.php:109
/workspace/src/includes/AutoLoader.php:109
/workspace/src/extensions/TimedMediaHandler/tests/phpunit/TimedText/SrtReaderTest.php:17
/workspace/src/maintenance/doMaintenance.php:99

40) SrtReaderTest::testTimeWithNoMillis
Array and string offset access syntax with curly braces is deprecated

/workspace/src/extensions/TimedMediaHandler/includes/TimedText/SrtReader.php:79
/workspace/src/includes/AutoLoader.php:109
/workspace/src/includes/AutoLoader.php:109
/workspace/src/extensions/TimedMediaHandler/tests/phpunit/TimedText/SrtReaderTest.php:17
/workspace/src/maintenance/doMaintenance.php:99

41) SrtReaderTest::testTimeWithPeriodSeparator
Array and string offset access syntax with curly braces is deprecated

/workspace/src/extensions/TimedMediaHandler/includes/TimedText/SrtReader.php:79
/workspace/src/includes/AutoLoader.php:109
/workspace/src/includes/AutoLoader.php:109
/workspace/src/extensions/TimedMediaHandler/tests/phpunit/TimedText/SrtReaderTest.php:17
/workspace/src/maintenance/doMaintenance.php:99

42) SrtReaderTest::testTimeWithNonPaddedMillis
Array and string offset access syntax with curly braces is deprecated

/workspace/src/extensions/TimedMediaHandler/includes/TimedText/SrtReader.php:79
/workspace/src/includes/AutoLoader.php:109
/workspace/src/includes/AutoLoader.php:109
/workspace/src/extensions/TimedMediaHandler/tests/phpunit/TimedText/SrtReaderTest.php:17
/workspace/src/maintenance/doMaintenance.php:99

43) SrtReaderTest::testStartsWithBom
Array and string offset access syntax with curly braces is deprecated

/workspace/src/extensions/TimedMediaHandler/includes/TimedText/SrtReader.php:79
/workspace/src/includes/AutoLoader.php:109
/workspace/src/includes/AutoLoader.php:109
/workspace/src/extensions/TimedMediaHandler/tests/phpunit/TimedText/SrtReaderTest.php:17
/workspace/src/maintenance/doMaintenance.php:99

44) SrtReaderTest::testSquishedOnOneLine
Array and string offset access syntax with curly braces is deprecated

/workspace/src/extensions/TimedMediaHandler/includes/TimedText/SrtReader.php:79
/workspace/src/includes/AutoLoader.php:109
/workspace/src/includes/AutoLoader.php:109
/workspace/src/extensions/TimedMediaHandler/tests/phpunit/TimedText/SrtReaderTest.php:17
/workspace/src/maintenance/doMaintenance.php:99

45) SrtReaderTest::testBadFormatInTimes
Array and string offset access syntax with curly braces is deprecated

/workspace/src/extensions/TimedMediaHandler/includes/TimedText/SrtReader.php:79
/workspace/src/includes/AutoLoader.php:109
/workspace/src/includes/AutoLoader.php:109
/workspace/src/extensions/TimedMediaHandler/tests/phpunit/TimedText/SrtReaderTest.php:17
/workspace/src/maintenance/doMaintenance.php:99

46) SrtReaderTest::testItalic
Array and string offset access syntax with curly braces is deprecated

/workspace/src/extensions/TimedMediaHandler/includes/TimedText/SrtReader.php:79
/workspace/src/includes/AutoLoader.php:109
/workspace/src/includes/AutoLoader.php:109
/workspace/src/extensions/TimedMediaHandler/tests/phpunit/TimedText/SrtReaderTest.php:17
/workspace/src/maintenance/doMaintenance.php:99

47) SrtReaderTest::testHtmlEntity
Array and string offset access syntax with curly braces is deprecated

/workspace/src/extensions/TimedMediaHandler/includes/TimedText/SrtReader.php:79
/workspace/src/includes/AutoLoader.php:109
/workspace/src/includes/AutoLoader.php:109
/workspace/src/extensions/TimedMediaHandler/tests/phpunit/TimedText/SrtReaderTest.php:17
/workspace/src/maintenance/doMaintenance.php:99

48) WebMHandlerTest::testGetStreamTypes with data set #0 ('shuttle10seconds.1080x608.webm', array('VP8'))
=== Logs generated by test case
[objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
[wfDebug] [debug] wfRecursiveRemoveDir( /tmp/MW_PHPUnit_WebMHandlerTest_T4lO6K ) {"private":false}
===
Function get_magic_quotes_runtime() is deprecated

/workspace/src/vendor/james-heinrich/getid3/getid3/getid3.php:299
/workspace/src/extensions/TimedMediaHandler/includes/handlers/ID3Handler/ID3Handler.php:15
/workspace/src/extensions/TimedMediaHandler/includes/handlers/WebMHandler/WebMHandler.php:12
/workspace/src/extensions/TimedMediaHandler/includes/handlers/ID3Handler/ID3Handler.php:51
/workspace/src/includes/filerepo/file/UnregisteredLocalFile.php:193
/workspace/src/extensions/TimedMediaHandler/includes/handlers/WebMHandler/WebMHandler.php:122
/workspace/src/extensions/TimedMediaHandler/tests/phpunit/WebMHandlerTest.php:27
/workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
/workspace/src/maintenance/doMaintenance.php:99

49) WebMHandlerTest::testGetStreamTypes with data set #1 ('VP9-tractor.webm', array('VP9'))
=== Logs generated by test case
[objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
[wfDebug] [debug] wfRecursiveRemoveDir( /tmp/MW_PHPUnit_WebMHandlerTest_Q451g6 ) {"private":false}
===
Function get_magic_quotes_runtime() is deprecated

/workspace/src/vendor/james-heinrich/getid3/getid3/getid3.php:299
/workspace/src/extensions/TimedMediaHandler/includes/handlers/ID3Handler/ID3Handler.php:15
/workspace/src/extensions/TimedMediaHandler/includes/handlers/WebMHandler/WebMHandler.php:12
/workspace/src/extensions/TimedMediaHandler/includes/handlers/ID3Handler/ID3Handler.php:51
/workspace/src/includes/filerepo/file/UnregisteredLocalFile.php:193
/workspace/src/extensions/TimedMediaHandler/includes/handlers/WebMHandler/WebMHandler.php:122
/workspace/src/extensions/TimedMediaHandler/tests/phpunit/WebMHandlerTest.php:27
/workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
/workspace/src/maintenance/doMaintenance.php:99

50) WebMHandlerTest::testGetStreamTypes with data set #2 ('bear-vp9-opus.webm', array('VP9', 'Opus'))
=== Logs generated by test case
[objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
[wfDebug] [debug] wfRecursiveRemoveDir( /tmp/MW_PHPUnit_WebMHandlerTest_fWH0rr ) {"private":false}
===
Function get_magic_quotes_runtime() is deprecated

/workspace/src/vendor/james-heinrich/getid3/getid3/getid3.php:299
/workspace/src/extensions/TimedMediaHandler/includes/handlers/ID3Handler/ID3Handler.php:15
/workspace/src/extensions/TimedMediaHandler/includes/handlers/WebMHandler/WebMHandler.php:12
/workspace/src/extensions/TimedMediaHandler/includes/handlers/ID3Handler/ID3Handler.php:51
/workspace/src/includes/filerepo/file/UnregisteredLocalFile.php:193
/workspace/src/extensions/TimedMediaHandler/includes/handlers/WebMHandler/WebMHandler.php:122
/workspace/src/extensions/TimedMediaHandler/tests/phpunit/WebMHandlerTest.php:27
/workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
/workspace/src/maintenance/doMaintenance.php:99

51) WebMHandlerTest::testGetWebType with data set #0 ('shuttle10seconds.1080x608.webm', 'video/webm; codecs="vp8"')
=== Logs generated by test case
[objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
[wfDebug] [debug] wfRecursiveRemoveDir( /tmp/MW_PHPUnit_WebMHandlerTest_K8gIDM ) {"private":false}
===
Function get_magic_quotes_runtime() is deprecated

/workspace/src/vendor/james-heinrich/getid3/getid3/getid3.php:299
/workspace/src/extensions/TimedMediaHandler/includes/handlers/ID3Handler/ID3Handler.php:15
/workspace/src/extensions/TimedMediaHandler/includes/handlers/WebMHandler/WebMHandler.php:12
/workspace/src/extensions/TimedMediaHandler/includes/handlers/ID3Handler/ID3Handler.php:51
/workspace/src/includes/filerepo/file/UnregisteredLocalFile.php:193
/workspace/src/extensions/TimedMediaHandler/includes/handlers/WebMHandler/WebMHandler.php:38
/workspace/src/includes/media/MediaHandler.php:405
/workspace/src/includes/filerepo/file/UnregisteredLocalFile.php:123
/workspace/src/includes/filerepo/file/UnregisteredLocalFile.php:134
/workspace/src/extensions/TimedMediaHandler/includes/handlers/WebMHandler/WebMHandler.php:104
/workspace/src/extensions/TimedMediaHandler/tests/phpunit/WebMHandlerTest.php:45
/workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
/workspace/src/maintenance/doMaintenance.php:99

52) WebMHandlerTest::testGetWebType with data set #1 ('VP9-tractor.webm', 'video/webm; codecs="vp9"')
=== Logs generated by test case
[objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
[wfDebug] [debug] wfRecursiveRemoveDir( /tmp/MW_PHPUnit_WebMHandlerTest_5cJ6P7 ) {"private":false}
===
Function get_magic_quotes_runtime() is deprecated

/workspace/src/vendor/james-heinrich/getid3/getid3/getid3.php:299
/workspace/src/extensions/TimedMediaHandler/includes/handlers/ID3Handler/ID3Handler.php:15
/workspace/src/extensions/TimedMediaHandler/includes/handlers/WebMHandler/WebMHandler.php:12
/workspace/src/extensions/TimedMediaHandler/includes/handlers/ID3Handler/ID3Handler.php:51
/workspace/src/includes/filerepo/file/UnregisteredLocalFile.php:193
/workspace/src/extensions/TimedMediaHandler/includes/handlers/WebMHandler/WebMHandler.php:38
/workspace/src/includes/media/MediaHandler.php:405
/workspace/src/includes/filerepo/file/UnregisteredLocalFile.php:123
/workspace/src/includes/filerepo/file/UnregisteredLocalFile.php:134
/workspace/src/extensions/TimedMediaHandler/includes/handlers/WebMHandler/WebMHandler.php:104
/workspace/src/extensions/TimedMediaHandler/tests/phpunit/WebMHandlerTest.php:45
/workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
/workspace/src/maintenance/doMaintenance.php:99

53) WebMHandlerTest::testGetWebType with data set #2 ('bear-vp9-opus.webm', 'video/webm; codecs="vp9, opus"')
=== Logs generated by test case
[objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
[wfDebug] [debug] wfRecursiveRemoveDir( /tmp/MW_PHPUnit_WebMHandlerTest_Af1c3s ) {"private":false}
===
Function get_magic_quotes_runtime() is deprecated

/workspace/src/vendor/james-heinrich/getid3/getid3/getid3.php:299
/workspace/src/extensions/TimedMediaHandler/includes/handlers/ID3Handler/ID3Handler.php:15
/workspace/src/extensions/TimedMediaHandler/includes/handlers/WebMHandler/WebMHandler.php:12
/workspace/src/extensions/TimedMediaHandler/includes/handlers/ID3Handler/ID3Handler.php:51
/workspace/src/includes/filerepo/file/UnregisteredLocalFile.php:193
/workspace/src/extensions/TimedMediaHandler/includes/handlers/WebMHandler/WebMHandler.php:38
/workspace/src/includes/media/MediaHandler.php:405
/workspace/src/includes/filerepo/file/UnregisteredLocalFile.php:123
/workspace/src/includes/filerepo/file/UnregisteredLocalFile.php:134
/workspace/src/extensions/TimedMediaHandler/includes/handlers/WebMHandler/WebMHandler.php:104
/workspace/src/extensions/TimedMediaHandler/tests/phpunit/WebMHandlerTest.php:45
/workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
/workspace/src/maintenance/doMaintenance.php:99

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2019, 9:36 PM
brion added a subscriber: brion.Dec 3 2019, 10:02 PM
Reedy added a subscriber: Reedy.

https://github.com/JamesHeinrich/getID3/issues/210 and https://github.com/JamesHeinrich/getID3/commit/75454e8b19c7b1b041382b91906574fe484f605b should fix get_magic_quotes_runtime on 7.4 and therefore tick a few off the list

Just need to wait for the next release (v1.9.19 probably)

Change 554669 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/core@master] UnregisteredLocalFile: fix PHP 7.4 warnings

https://gerrit.wikimedia.org/r/554669

Change 554670 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/TimedMediaHandler@master] Fix array access syntax deprecated in PHP 7.4

https://gerrit.wikimedia.org/r/554670

Change 554670 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Fix array access syntax deprecated in PHP 7.4

https://gerrit.wikimedia.org/r/554670

Change 554669 merged by jenkins-bot:
[mediawiki/core@master] UnregisteredLocalFile: fix PHP 7.4 warnings

https://gerrit.wikimedia.org/r/554669

TheDJ added a subscriber: TheDJ.Dec 6 2019, 9:24 AM

TIL: PHP had array and string offset access with curly braces

Change 558718 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/vendor@master] Update james-heinrich/getid3 from 1.9.18 to 1.9.19

https://gerrit.wikimedia.org/r/558718

Change 558718 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/vendor@master] Update james-heinrich/getid3 from 1.9.18 to 1.9.19

https://gerrit.wikimedia.org/r/558718

composer.json has

	"require": {
		"james-heinrich/getid3": "^v1.9"
	},

I dunno if we want to bump that to

	"require": {
		"james-heinrich/getid3": "^v1.9.19"
	},

so we know the installed version will be PHP 7.4 compat (at least) rather than depending on ^ and older versions not necessarily being upgraded

Change 558718 merged by jenkins-bot:
[mediawiki/vendor@master] Update james-heinrich/getid3 from 1.9.18 to 1.9.19

https://gerrit.wikimedia.org/r/558718

Change 558718 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/vendor@master] Update james-heinrich/getid3 from 1.9.18 to 1.9.19

https://gerrit.wikimedia.org/r/558718

composer.json has

	"require": {
		"james-heinrich/getid3": "^v1.9"
	},

I dunno if we want to bump that to

	"require": {
		"james-heinrich/getid3": "^v1.9.19"
	},

so we know the installed version will be PHP 7.4 compat (at least) rather than depending on ^ and older versions not necessarily being upgraded

Let's.

Change 559005 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/TimedMediaHandler@master] composer: Push james-heinrich/getid3 up to ^1.9.19 for PHP74 support

https://gerrit.wikimedia.org/r/559005

Jdforrester-WMF closed this task as Resolved.Dec 18 2019, 10:32 AM
Jdforrester-WMF assigned this task to Reedy.

Change 559005 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] composer: Push james-heinrich/getid3 up to ^1.9.19 for PHP74 support

https://gerrit.wikimedia.org/r/559005